Subject: Re: b118509076b3 (probably) breaks my firewall

From: Pablo Neira Ayuso <[email-masked]>
Date: Fri, 9 Sep 2022 12:19:28 +0200

On Thu, Sep 08, 2022 at 11:48:59PM +0200, Florian Westphal wrote:
> Chris Clayton <[email-masked]> wrote:
> 
> [ CC Pablo ]
> 
> > On 08/09/2022 20:19, Florian Westphal wrote:
> > > Chris Clayton <[email-masked]> wrote:
> > >> Just a heads up and a question...
> > >>
> > >> I've pulled the latest and greatest from Linus' tree and built and installed the kernel. git describe gives
> > >> v6.0-rc4-126-g26b1224903b3.
> > >>
> > >> I find that my firewall is broken because /proc/sys/net/netfilter/nf_conntrack_helper no longer exists. It existed on an
> > >> -rc4 kernel. Are changes like this supposed to be introduced at this stage of the -rc cycle?
> > > 
> > > The problem is that the default-autoassign (nf_conntrack_helper=1) has
> > > side effects that most people are not aware of.
> > > 
> > > The bug that propmpted this toggle from getting axed was that the irc (dcc) helper allowed
> > > a remote client to create a port forwarding to the local client.
> > 
> > 
> > Ok, but I still think it's not the sort of change that should be introduced at this stage of the -rc cycle.
> > The other problem is that the documentation (Documentation/networking/nf_conntrack-sysctl.rst) hasn't been updated. So I
> > know my firewall is broken but there's nothing I can find that tells me how to fix it.
> 
> Pablo, I don't think revert+move the 'next' will avoid this kinds of
> problems, but at least the nf_conntrack-sysctl.rst should be amended to
> reflect that this was removed.

I'll post a patch to amend the documentation.

> I'd keep it though because people that see an error wrt. this might be
> looking at nf_conntrack-sysctl.rst.
> 
> Maybe just a link to
> https://home.regit.org/netfilter-en/secure-use-of-helpers/?
> 
> What do you think?

I'll update netfilter.org to host a copy of the github sources.

We have been announcing this going deprecated for 10 years...